Create target with YAML

View as Markdown
  • POST
  • /workspaces
  • /:workspace
  • /targets
  • /yaml

Create a new target in the workspace, project, pipeline or environment scope by sending its full YAML definition in a POST request.

Request

REQUIRED SCOPES
TARGET_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
project_namestring
Filter targets by project name

Example: "my-project"

pipeline_idinteger
Filter targets by pipeline ID

Example: 12345

environment_idstring
Filter targets by environment ID

Example: "67890"

BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the target

Response

RESPONSE BODY
typerequiredstring enum
The type of the target
Allowed enum:
SSH,
FTP,
GIT,
MATCH,
EC2,
DIGITAL_OCEAN,
VULTR,
UPCLOUD,
GKE,
EKS,
AKS,
DOKS,
K8S_CLUSTER,
MYSQL,
POSTGRESQL,
PROJECT_REPO,
MONGO,
MSSQL,
RDS_MSSQL,
CLICKHOUSE
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idstring
The ID of the target
identifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).
namestring
The name of the target
projectShortProjectView
Short representation of a project
pipelineShortPipelineView
Short representation of a pipeline
environmentShortEnvironmentView
permissionsPermissionsView
Access permissions configuration
pipelines_access_levelstring enum
Pipelines access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this target
sandboxes_access_levelstring enum
Sandboxes access level for this target
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this target
disabledboolean
Indicates if this target is disabled (default: false)
tagsstring[]
The list of tags associated with the target

Constraints: Unique items required

use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)
notestring
Note for this resource
agent_notestring
YAML note for AI agents operating on this resource
variantsvariants
Type-specific parameters based on discriminator value

Last modified on Aug 18, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/targets/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "yaml": "LSB0YXJnZXQ6..." }'